List order types
GET
/listings/order_types
const url = 'https://acme.mykreezalid.com/api/v1/listings/order_types?page=1&limit=25';const options = {method: 'GET', headers: {Authorization: 'Basic <credentials>'}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url 'https://acme.mykreezalid.com/api/v1/listings/order_types?page=1&limit=25' \ --header 'Authorization: Basic <credentials>'Returns the order types of your marketplace (how a listing is sold or booked). Use a url_token as order_type_url_token when you create or update a listing. The list is paginated with page and limit, without a pagination block in the response.
Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Query Parameters
Section titled “Query Parameters”page
integer
Page number, starting at 1.
limit
integer
Number of results per page (at most 100).
Responses
Section titled “Responses”Your order types
Media typeapplication/json
object
orderTypes
Array<object>
object
url_token
Token identifying the order type
string
title
string
transaction_type
string
admin_url
Always null in this list
string
Example
{ "orderTypes": [ { "title": "Sale", "transaction_type": "selling" } ]}Missing or wrong API credentials
The requested page does not exist